Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
경로 매개 변수
name
string
필수
The name of the memory store.
memory_id
string
필수
The ID of the memory item to update.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
content
string
필수
The updated content of the memory.
응답
The request has succeeded.
본문
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
필수
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
필수
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
필수
The kind of the memory item.
요청
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json